mconv_getc(3m17n)

NAME
mconv_getc - Read a character via a code converter.

SYNOPSIS
int mconv_getc (MConverter * converter)

DESCRIPTION
Read a character via a code converter.

The mconv_getc() function reads one character from the buffer area or the stream that is currently bound to code converter converter. The decoder of converter is used to decode the byte sequence. The internal status of converter is updated appropriately.

RETURN VALUE

    If the operation was successful, mconv_getc() returns the character read in. If the input source reaches EOF, it returns EOF without changing the external variable merror_code. If an error is detected, it returns EOF and assigns an error code to merror_code.

ERRORS

    MERROR_CODING

SEE ALSO

    mconv_ungetc(), mconv_putc(), mconv_gets()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.